<nav
  class="flex justify-between items-center px-4 md:px-8 xl:px-4 xl:max-w-screen-xl 2xl:max-w-screen-2xl m-auto text-gray-700"
>
  <div class="logo">
    <a href="/" class="block w-52 lg:w-52 lg:my-1">
      <img
        src="/assets/images/logo-odb-color.png"
        class="w-full"
        width="208px"
        height="48px"
        alt="Logo Oportunidades de bancos - Blanco"
      />
    </a>
  </div>
  <ul class="hidden lg:block">
    <li class="inline-block">
      <a
        class="block px-4 py-6 hover:bg-odb-500 hover:text-white transition-all"
        routerLinkActive="bg-odb-500 text-white"
        [routerLink]="'/comprar'"
        >Oportunidades</a
      >
    </li>
    <li class="inline-block">
      <a
        class="block px-4 py-6 transition-all hover:bg-odb-500 hover:text-white"
        routerLinkActive="bg-odb-500 text-white"
        [routerLink]="'/calcular-hipoteca'"
        >Simulador de hipoteca</a
      >
    </li>
    <li class="inline-block">
      <a
        class="block px-4 py-6 transition-all hover:bg-odb-500 hover:text-white"
        routerLinkActive="bg-odb-500 text-white"
        [routerLink]="'/trabaja-con-nosotros'"
        >Trabaja con nosotros</a
      >
    </li>
    <li class="inline-block">
      <a
        class="block px-4 py-6 transition-all hover:bg-odb-500 hover:text-white"
        routerLinkActive="bg-odb-500 text-white"
        [routerLink]="'/blog'"
        >Blog</a
      >
    </li>
    <li class="inline-block">
      <a
        class="block px-4 py-6 transition-all hover:bg-odb-500 hover:text-white"
        routerLinkActive="bg-odb-500 text-white"
        [routerLink]="'/contactanos'"
        >Contáctanos</a
      >
    </li>
  </ul>
  <div
    class="block lg:hidden border-2 border-transparent hover:border-gray-600 hover:cursor-pointer mt-1 mx-2 p-1 rounded"
    (click)="toggleMenu()"
  >
    <i class="bi bi-list text-4xl block"></i>
  </div>
  <div
    [ngClass]="{
      'absolute flex flex-col inset-0 w-full text-gray-100 bg-odb-800 h-screen': true,
      hidden: !openMenu
    }"
  >
    <span
      class="text-4xl absolute top-0 right-0 mr-8 mt-4 py-2 px-3 cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded"
      (click)="toggleMenu()"
      ><i class="bi bi-x-lg"></i
    ></span>
    <ul class="w-auto m-auto">
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a
          class="flex items-center"
          [routerLink]="'/comprar'"
          routerLinkActive="active-link"
          ><i class="bi text-3xl mr-5 bi-search"></i> Oportunidades</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="'/calcular-hipoteca'"
          ><i class="bi text-3xl mr-5 bi-percent"></i> Simulador de hipoteca</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="'/trabaja-con-nosotros'"
          ><i class="bi text-3xl mr-5 bi-easel"></i> Trabaja con nosotros</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="'/blog'"
          ><i class="bi text-3xl mr-5 bi-bookmark"></i> Blog</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="'/contactanos'"
          ><i class="bi text-3xl mr-5 bi-telephone"></i> Contáctanos</a
        >
      </li>
    </ul>
  </div>
</nav>
